# coding: utf-8

from __future__ import absolute_import
from __future__ import unicode_literals


class AuthError(Exception):

    """Базовое исключение."""


class UserNotFound(AuthError):

    """Пользователь не найден."""


class MoreUsersFound(AuthError):

    """Найдено пользователей больше одного."""


class BadRequest(AuthError):

    """Некорректный запрос."""

    def __init__(self, message='Bad request', *args):
        super(BadRequest, self).__init__(message, *args)
